=== modified file 'ivle/webapp/admin/subject.py'
--- ivle/webapp/admin/subject.py	2010-02-24 02:43:38 +0000
+++ ivle/webapp/admin/subject.py	2010-02-24 12:06:44 +0000
@@ -385,6 +385,8 @@
     description = formencode.validators.UnicodeString(
         if_missing=None, not_empty=False)
     url = formencode.validators.URL(if_missing=None, not_empty=False)
+    show_worksheet_marks = formencode.validators.StringBoolean(
+        if_missing=False)
 
 
 class OfferingAdminSchema(OfferingSchema):
@@ -425,6 +427,7 @@
                         self.context.semester.semester,
             'url': self.context.url,
             'description': self.context.description,
+            'show_worksheet_marks': self.context.show_worksheet_marks,
             }
 
     def save_object(self, req, data):
@@ -433,6 +436,7 @@
             self.context.semester = data['semester']
         self.context.description = data['description']
         self.context.url = unicode(data['url']) if data['url'] else None
+        self.context.show_worksheet_marks = data['show_worksheet_marks']
         return self.context
 
 
@@ -467,6 +471,7 @@
         new_offering.semester = data['semester']
         new_offering.description = data['description']
         new_offering.url = unicode(data['url']) if data['url'] else None
+        new_offering.show_worksheet_marks = data['show_worksheet_marks']
 
         req.store.add(new_offering)
         return new_offering

=== modified file 'ivle/webapp/admin/templates/offering-form.html'
--- ivle/webapp/admin/templates/offering-form.html	2010-02-24 02:32:25 +0000
+++ ivle/webapp/admin/templates/offering-form.html	2010-02-24 12:06:44 +0000
@@ -39,6 +39,11 @@
             <input type="text" id="url" name="url" />
             <span py:if="'url' in errors" class="form_error">${errors.url}.</span>
           </div>
+        <div>
+          <label for="show_worksheet_marks">Show worksheet marks:</label>
+          <input type="checkbox" name="show_worksheet_marks" id="show_worksheet_marks" />
+          <span py:if="'show_worksheet_marks' in errors" class="form_error">${errors.show_worksheet_marks}</span>
+        </div>
           <div class="submit form_error" py:if="defined('error_value')" py:content="error_value" />
           <div class="submit">
             <input type="submit" value="${submit_button_label}" />

